{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Update select fields of an existing Zero Trust Gateway rule. Only the fields provided in the request body are updated. This endpoint supports a limited subset of fields (`name`, `description`, `precedence`, `enabled`). To update other fields such as `action`, `traffic`, `identity`, `device_posture`, `rule_settings`, `schedule`, or `expiration`, use the PUT endpoint for a full rule replacement.","properties":{"path":{"type":"object","properties":{"rule_id":{"$ref":"#/definitions/zero-trust-gateway_uuid-4"},"account_id":{"$ref":"#/definitions/zero-trust-gateway_identifier-2"}},"required":["rule_id","account_id"],"additionalProperties":false},"body":{"type":"object","properties":{"description":{"$ref":"#/definitions/zero-trust-gateway_description-2"},"enabled":{"$ref":"#/definitions/zero-trust-gateway_enabled"},"name":{"$ref":"#/definitions/zero-trust-gateway_name-3"},"precedence":{"$ref":"#/definitions/zero-trust-gateway_precedence"}}}},"required":["path","body"],"additionalProperties":false,"definitions":{"zero-trust-gateway_uuid-4":{"description":"Identify the API resource with a UUID.","type":"string","format":"uuid","maxLength":36,"examples":["f174e90a-fafe-4643-bbbc-4a0ed4fc8415"]},"zero-trust-gateway_identifier-2":{"description":"Specify the Cloudflare account identifier.","type":"string","examples":["699d98642c564d2e855e9661899b7252"]},"zero-trust-gateway_description-2":{"description":"Specify the rule description.","type":"string","examples":["Block bad websites based on their host name."]},"zero-trust-gateway_enabled":{"description":"Specify whether the rule is enabled.","type":"boolean","default":false,"examples":[true]},"zero-trust-gateway_name-3":{"description":"Specify the rule name.","type":"string","examples":["block bad websites"]},"zero-trust-gateway_precedence":{"description":"Set the order of your rules. Lower values indicate higher precedence. At each processing phase, evaluate applicable rules in ascending order of this value. Refer to [Order of enforcement](http://developers.cloudflare.com/learning-paths/secure-internet-traffic/understand-policies/order-of-enforcement/#manage-precedence-with-terraform) to manage precedence via Terraform.","type":"integer"}}},"name":"Patch a Zero Trust Gateway rule","id":"cloudflare.zero-trust-gateway-rules-patch-zero-trust-gateway-rule","example":{"path":{"rule_id":"f174e90a-fafe-4643-bbbc-4a0ed4fc8415","account_id":"699d98642c564d2e855e9661899b7252"},"body":{}},"maxRequests":1,"summary":false}}